package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

public class DataAuthDTO implements Serializable{
    private static final long serialVersionUID = -2015311334509633014L;

    /**
     * ID
     */
    private Integer dataAuthId;

    /**
     * 名称
     */
    private String dataAuthName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 线上业绩权限,json数组,[{"channel":1,"storeContent":[1]}]
     */
    private String onlinePerformance;

    /**
     * 无归属门店权限 1:勾选 0:不勾选
     */
    private Integer noOwnerStore;

    /**
     * 门店资源，门店选择器ID
     */
    private Integer storeWidgetId;

    /**
     * 会员卡权限,_23232_23232_，可以多选，下划线隔开
     */
    private String memberCardAuth;

    /**
     * 商品域权限,_23232_23232_，可以多选，下划线隔开
     */
    private String goodsAreaAuth;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 授权人数
     */
    private Integer memberCount;

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public DataAuthDTO setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public String getDataAuthName() {
        return dataAuthName;
    }

    public DataAuthDTO setDataAuthName(String dataAuthName) {
        this.dataAuthName = dataAuthName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataAuthDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getOnlinePerformance() {
        return onlinePerformance;
    }

    public DataAuthDTO setOnlinePerformance(String onlinePerformance) {
        this.onlinePerformance = onlinePerformance;
        return this;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public DataAuthDTO setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public String getMemberCardAuth() {
        return memberCardAuth;
    }

    public DataAuthDTO setMemberCardAuth(String memberCardAuth) {
        this.memberCardAuth = memberCardAuth;
        return this;
    }

    public String getGoodsAreaAuth() {
        return goodsAreaAuth;
    }

    public DataAuthDTO setGoodsAreaAuth(String goodsAreaAuth) {
        this.goodsAreaAuth = goodsAreaAuth;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DataAuthDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataAuthDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataAuthDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public DataAuthDTO setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
        return this;
    }

    public Integer getNoOwnerStore() {
        return noOwnerStore;
    }

    public DataAuthDTO setNoOwnerStore(Integer noOwnerStore) {
        this.noOwnerStore = noOwnerStore;
        return this;
    }
}
