package com.gic.cloud.web.constant;

public enum DateTypeEnum {
    DAY(1,"天"),
    WEEK(2, "周"),
    MONTH(3, "月"),
    YEAR(4, "年"),
    L3DAY(5, "近三天"),
    L7DAY(6, "近七天");

    private Integer type;
    private String message;

    DateTypeEnum(Integer type, String message){
        this.type = type;
        this.message = message;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
