package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AttentionStoreDTO;

import java.util.Map;

public interface StoreAttentionApiService {
    ServiceResponse addStoreAttenttion(Integer userId, Integer enterpriseId, Integer storeId);

    ServiceResponse removeStoreAttenttion(Integer enterpriseId, Integer userId, String storeIds);

    ServiceResponse<Page<AttentionStoreDTO>> pageStoreAttention(Integer userId, Integer enterpriseId, Integer pageNum, Integer pageSize);

    ServiceResponse<Map<Integer, AttentionStoreDTO>> getAllAttenttionStore(Integer userId, Integer enterpriseId);
}
