package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabIndexDescEnterpriseMapper;
import com.gic.cloud.entity.TabIndexDescEnterprise;
import com.gic.cloud.service.IndexDescEnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 16:46
 */
@Service
public class IndexDescEnterpriseServiceImpl implements IndexDescEnterpriseService {

    @Autowired
    private TabIndexDescEnterpriseMapper tabIndexDescEnterpriseMapper;

    @Override
    public void updateSort(Integer enterpriseId, Integer indexDescEnterpriseId, Integer sort) {
        tabIndexDescEnterpriseMapper.updateSort(enterpriseId, sort);

        TabIndexDescEnterprise indexDescEnterprise = new TabIndexDescEnterprise();
        indexDescEnterprise.setEnterpriseId(enterpriseId);
        indexDescEnterprise.setIndexDescEnterpriseId(indexDescEnterpriseId);
        indexDescEnterprise.setSort(sort);
        tabIndexDescEnterpriseMapper.updateByPrimaryKeySelective(indexDescEnterprise);


    }

    @Override
    public void moveToRecycle(Integer indexDescEnterpriseId) {
        TabIndexDescEnterprise indexDescEnterprise = new TabIndexDescEnterprise();
        indexDescEnterprise.setIndexDescEnterpriseId(indexDescEnterpriseId);
        indexDescEnterprise.setIndexStatus(0);
        tabIndexDescEnterpriseMapper.updateByPrimaryKeySelective(indexDescEnterprise);
    }
}
